Bug 271648 - Package::filePath regression in the python dataengine
Summary: Package::filePath regression in the python dataengine
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: scriptengines (show other bugs)
Version: 4.8.3
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-24 22:15 UTC by Nikita Melnichenko
Modified: 2018-06-08 19:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testcase (8.59 KB, application/octet-stream)
2011-04-24 22:15 UTC, Nikita Melnichenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Melnichenko 2011-04-24 22:15:24 UTC
Created attachment 59284 [details]
testcase

Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

Package::filePath is no longer working in my python dataengine. It returns an empty QString for existing file.

Reproducible: Always

Steps to Reproduce:
1. Download and install testcase engine.
2. Run plasmaengineexplorer in console.
3. Select name-melnichenko-nikita-make-progress-engine.
4. Get a Service with popup menu on data source '[jdbus] instance name'.
5. See output in the console.

Actual Results:  
Output:
>>> MakeProgressEngine: constructor
>>> MakeProgressEngine: init
>>> MakeProgressEngine: createSource([jdbus] version)
>>> MakeProgressEngine: createSource([jdbus] instance name)
>>> MakeProgressEngine: sources
>>> MakeProgressEngine: serviceForSource([jdbus] instance name)
>>> MakeProgressEngine: service is not created yet
>>> MakeProgress, ServiceInstanceName: constructor
>>> MakeProgress, ServiceInstanceName: registerOperationsScheme
>>> MakeProgressEngine: filePath("config", "InstanceName.xml") = 
>>> MakeProgressEngine: path()+"contents/config/InstanceName.xml" = /home/nikita/.kde4/share/apps/plasma/dataengines/name-melnichenko-nikita-make-progress-engine/contents/config/InstanceName.xml


Expected Results:  
filePath("config", "InstanceName.xml") == path()+"contents/config/InstanceName.xml"

A walk-around for now could be: use Package::path() + "contents/path/to/your/file"

filePath definitely worked with KDE SC 4.4.
Comment 1 Tao Yang 2011-05-06 03:27:26 UTC
It occurs to me too.
4.6.2 on Chakra Linux
Can reproduce with example 'pyhello' in kdeexample repository
Comment 2 Myriam Schweingruber 2012-05-27 11:21:33 UTC
Is this still valid for KDE 4.8.3 or trunk?
Comment 3 Nikita Melnichenko 2012-06-13 19:02:30 UTC
Yes, this bug is still valid for 4.8.3. Check out my testcase, please!!!
Comment 4 Nate Graham 2018-06-08 19:47:07 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug is already resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham